#! /usr/bin/python

#
# SMTPServer.py 0.9
#                                                                      
# Copyright (C) 2001,2002 Gerson Kurz (not@p-nand-q.com)
# BSD-Licensed. This is free software, enjoy!


status_msgs = {
    'OK_GENERAL'         : '+OK\r\n',
    'OK_GREETING'        : '+OK Shicks! POP3 Service %s ready %s\r\n',
    'OK_LOGIN'           : '+OK login successful\r\n',
    'OK_USER'            : '+OK %s is a valid mailbox\r\n',
    'OK_QUIT'            : '+OK Connection is closing.\r\n',
    'OK_SINGLE_LIST'     : '+OK %d %d\r\n',
    'OK_MSG_LIST'        : '+OK %i message (%i octets)\r\n',
    'OK_DELETE'          : '+OK The message was successfully deleted\r\n',
    'OK_RETR'            : '+OK message follows (%i octets)\r\n',
    'OK_RSET'            : '+OK Resetting all messages done\r\n',
    'OK_STAT'            : '+OK %i %i\r\n',
    'OK_TOP'             : '+OK top %i lines of message follows\r\n',
    'OK_APOP'            : '+OK maildrop locked and ready\r\n',
    'OK_SINGLE_UIDL'     : '+OK %i %s\r\n',
    'OK_MSG_UIDL'        : '+OK Unique message id list follows\r\n',
    'OK_CAPA'            : '+OK Capability list follows\r\n',

    'ERR_CMD_UNKNOWN'    : '-ERR unknown command\r\n',
    'ERR_MSG_UNKNOWN'    : '-ERR unknown or invalid message id\r\n',
    'ERR_INV_STATE'      : '-ERR Invalid transaction state\r\n',
    'ERR_NO_USER'        : '-ERR No user was yet specified\r\n',
    'ERR_NOT_USER'       : '-ERR never heard of mailbox name\r\n',
    'ERR_LOGIN_MISMATCH' : '-ERR username and password did not match\r\n',
    'ERR_INVALID_SYNTAX' : '-ERR Invalid syntax for this command\r\n',
    'CMD_UNKNOWN'        : '-ERR %s command unknown\r\n',
    'LOGIN_REQUIRED'     : '-ERR Not yet logged in.\r\n',
    }

